Bug 44262 - Google Play Publishing wizard fails after client id/secret are entered.
Summary: Google Play Publishing wizard fails after client id/secret are entered.
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Android (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Windows
: Normal normal
Target Milestone: 4.2.x (C8SR0)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-13 19:03 UTC by Mark McLemore
Modified: 2016-10-06 22:39 UTC (History)
8 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Machine info (3.74 KB, text/plain)
2016-09-13 19:03 UTC, Mark McLemore
Details
Before clicking "Register" (35.57 KB, image/png)
2016-09-13 19:04 UTC, Mark McLemore
Details
After clicking "Register" (25.02 KB, image/png)
2016-09-13 19:05 UTC, Mark McLemore
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Mark McLemore 2016-09-13 19:03:40 UTC
Created attachment 17443 [details]
Machine info

On Windows 10, Alpha channel as of 13 Sep (Xamarin 4.2.0.675, Xamarin.Android 7.0.0.15).

I create a simple Android app from the template (MyApp), and do the following:

1. Compile for release build.
2. Create an OAuth client in the Google Developer Console, then download the resulting client ID and secret.
3. Archive MyApp for publishing (according to https://trello.com/c/5KB1MS94/66-vs-android-publishing-workflow).
4. Open the Archive Manager and click Distribute.

The first screen that is presented is the Signing Identity screen, however it's already in the second stage with a progress track of Select Channel (Ad Hoc) -> Signing identity.  I haven't selected a channel yet!

As a workaround, I click "Back" to get to the "Distribution Channel" screen. Next,

5. Click "Google Play"
6. Click "+" to create a new signing identity (same info as in https://developer.xamarin.com/guides/android/deployment,_testing,_and_metrics/publishing_an_application/part_2_-_signing_the_android_application_package/).

7. Select my signing identity (alias: "chimp") and click "Continue".
8. The "Google Play Accounts" dialog appears. I click "+" to add my account created in step 2.
9. In the "Register Google API Access" dialog, I enter the following from the Google API Console:
    Account Description: MyApp
    Client ID: 65179385121-t15sahafgl0c6ro0q4mh53ghkajduf7s.apps.googleusercontent.com
    Client Secret: BWwsMNl0MAoCGbJtlBUjuN6Q

    (It's OK, this is a temporary throwaway client that I created for testing the wizard).

10. When I click "Register", nothing happens. The dialog just goes away and I'm left back at the "Google Play Accounts" dialog with nothing shown in the list. There is no error.  I gather that, instead, I should be able to select a Track to upload the application to (Beta, Alpha, etc.).
Comment 1 Mark McLemore 2016-09-13 19:04:58 UTC
Created attachment 17444 [details]
Before clicking "Register"
Comment 2 Mark McLemore 2016-09-13 19:05:25 UTC
Created attachment 17445 [details]
After clicking "Register"
Comment 6 Jose Gallardo 2016-09-14 19:52:20 UTC
Moving to SR0. We'll try to get a public patch for this issue ASAP.

Thanks!
Comment 7 Mark McLemore 2016-09-14 21:36:44 UTC
Hi Juan, yes, I had uploaded a previous ad-hoc APK (manually published from a different Windows box) before going through these steps. Also, no web browser was launched to confirm the credentials. Even if I had not uploaded a previous APK, shouldn't I get some sort of error (I think Xamarin Studio does produce an error)?

The steps that I used are now published (sans the missing last few steps, which I wrote around as best I could):

https://developer.xamarin.com/guides/android/deployment,_testing,_and_metrics/publishing_an_application/part_3_-_publishing_an_application_on_google_play/

Click on the Visual Studio IDE selector on the top right.
Comment 9 xamarin-release-manager 2016-09-15 12:57:58 UTC
Fixed in version 4.2.1.1 (master-dev15-pre5)

Author: Jose Gallardo
Commit: 851b880cadf18771802bc4145a2cbb2118725a69 (xamarin/XamarinVS)
Comment 10 Ben Beckley 2016-09-15 21:09:17 UTC
Last patch didn't fix the issue, there is a new one here:

Version: 4.2.0.682 (cycle8-sr0-fixes)
Commit: 0f43f3b9d01ab1e79742166788379e6bc3c4c5a2
Comment 12 Akhilesh kumar 2016-09-16 17:15:45 UTC
I have checked this issue with C8SR0 Xamarin 4.2.0.682 and I am successfully able to Register new Google play Account.

Screencast:  http://www.screencast.com/t/C3yn4ySI8B


Microsoft Visual Studio Enterprise 2015
Version 14.0.25425.01 Update 3
Microsoft .NET Framework
Version 4.6.01055

Xamarin   4.2.0.682 (0f43f3b)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.0.18 (0e59c36)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.0.0.6 (6c3fee4)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 14 Akhilesh kumar 2016-09-19 12:17:47 UTC
I have checked this issue with C8SR0 builds and I am successfully able to  Register new Google play Account.

Screencast: http://www.screencast.com/t/kjMlffNM

Build: Xamarin_4.2.0.682_3121c01732b09b430ce37399d7094af063d93639

So I am closing this issue.

Microsoft Visual Studio Enterprise 2015
Version 14.0.25425.01 Update 3
Microsoft .NET Framework
Version 4.6.01055

Xamarin   4.2.0.682 (3121c01)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.0.20 (35a3f85)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.0.0.8 (55365c4)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 16 xamarin-release-manager 2016-09-22 17:24:25 UTC
Fixed in version 4.2.0.691 (cycle8)

Author: josegallardo
Commit: f0ead4e6a1c17c0fb2c691c560e001de7d289ee9 (xamarin/XamarinVS)
Comment 17 xamarin-release-manager 2016-10-06 22:39:31 UTC
Fixed in version 4.2.0.743 (cycle8)

Author: Jose Gallardo
Commit: 3121c01732b09b430ce37399d7094af063d93639 (xamarin/XamarinVS)